xine-lib: yuv2rgb_s Struct Reference

xine-lib 1.2.12

Data Fields
yuv2rgb_s Struct Reference

`#include <yuv2rgb.h>`

## Data Fields
int(* | configure )(yuv2rgb_t *this, int source_width, int source_height, int y_stride, int uv_stride, int dest_width, int dest_height, int rgb_stride)
int(* | next_slice )(yuv2rgb_t *this, uint8_t **dest)
void(* | dispose )(yuv2rgb_t *this)
yuv2rgb_fun_t | yuv2rgb_fun
yuy22rgb_fun_t | yuy22rgb_fun
yuv2rgb_single_pixel_fun_t | yuv2rgb_single_pixel_fun

## Field Documentation

## ◆ configure

int(* yuv2rgb_s::configure) (yuv2rgb_t *this, int source_width, int source_height, int y_stride, int uv_stride, int dest_width, int dest_height, int rgb_stride)

Referenced by caca_update_frame_format(), opengl_update_frame_format(), raw_update_frame_format(), vo_grab_grab_video_frame(), win32_display_frame(), xshm_frame_proc_setup(), and yuv2rgb_create_converter().

## ◆ dispose

void(* yuv2rgb_s::dispose) (yuv2rgb_t *this)

Referenced by caca_dispose_frame(), Destroy(), fb_frame_dispose(), opengl_frame_dispose(), raw_frame_dispose(), vo_dispose_grab_video_frame(), xshm_frame_dispose(), and yuv2rgb_create_converter().

## ◆ next_slice

int(* yuv2rgb_s::next_slice) (yuv2rgb_t *this, uint8_t **dest)

Referenced by fb_frame_field(), opengl_frame_field(), raw_frame_field(), xshm_frame_field(), and yuv2rgb_create_converter().

## ◆ yuv2rgb_fun

yuv2rgb_fun_t yuv2rgb_s::yuv2rgb_fun

Referenced by caca_display_frame(), fb_frame_proc_slice(), opengl_frame_proc_slice(), raw_frame_proc_slice(), vo_grab_grab_video_frame(), win32_display_frame(), xshm_frame_proc_slice(), and yuv2rgb_create_converter().

## ◆ yuv2rgb_single_pixel_fun

yuv2rgb_single_pixel_fun_t yuv2rgb_s::yuv2rgb_single_pixel_fun

Referenced by fb_overlay_clut_yuv2rgb(), opengl_overlay_clut_yuv2rgb(), xshm_overlay_clut_yuv2rgb(), and yuv2rgb_create_converter().

## ◆ yuy22rgb_fun

yuy22rgb_fun_t yuv2rgb_s::yuy22rgb_fun

Referenced by caca_display_frame(), fb_frame_proc_slice(), opengl_frame_proc_slice(), raw_frame_proc_slice(), vo_grab_grab_video_frame(), win32_display_frame(), xshm_frame_proc_slice(), and yuv2rgb_create_converter().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-utils/yuv2rgb.h